Skip to main content

Drop Index (V2)

Note
External collections do not support this operation.

This operation deletes index from a specified collection.

POST/v2/vectordb/indexes/drop
Connection Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
shell
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.

Example Value: Bearer {{TOKEN}}
Request Body
dbNamestring

The name of the database that to which the collection belongs . Setting this to a non-existing database results in an error.

collectionNamestringrequired

The name of the target collection. Setting this to a non-existing collection results in an error.

indexNamestringrequired

The name of the target index.

bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/indexes/drop" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"indexName": "my_vector",
"collectionName": "custom_setup_not_indexed"
}'
Responses

None

A success response

codeinteger

Response code.

Example Value: 0
dataobject

Response payload which is an empty object.

A failure response.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {}
}
Ctrl I